@media (prefers-color-scheme: dark) {
    body {
        background-color: #111827 !important;
        color: #f3f4f6 !important;
    }

    .site-loader {
        background-color: rgba(24, 36, 51, 0.9);
    }

    .loader-spinner:after {
        background-color: #1e293b;
    }

    .loader-text {
        color: #a5b4fc;
    }

    h1, h2, h3, h4, page-title, page-sub-title,
    .wcf-customer-info,
    .wcf-customer-info h3,
    .wcf-customer-info__notice,
    .wcf-logged-in-customer-info,
    .required_fields,
    .billing_fields_heading,
    .woocommerce-Price-amount.amount,
    .woocommerce-billing-fields-custom,
    article,
    article * {
        color: #e5e7eb !important;
    }

    .woocommerce-info, input, span.select2-selection, span.select2-dropdown,
    span.select2-results__option, span.select2-selection__rendered, textarea,
    .ast-404-layout-1, article {
        background-color: #111827 !important;
        color: #e5e7eb !important;
    }

    .wcf-customer-info input,
    .wcf-customer-info select,
    .wcf-customer-info textarea {
        color: #ffffff !important;
        background-color: rgba(255,255,255,0.1) !important;
    }
}

span.woocommerce-Price-amount.amount {
    color: black !important;
}

html.dark h1, html.dark h2, html.dark h3, html.dark h4, html.dark h5, html.dark h6,
html.dark .h1, html.dark .h2, html.dark .h3, html.dark .h4, html.dark .h5, html.dark .h6 {
    color: #e5e7eb !important;
}